Bug 861964 - [webadmin] System permissions tab don't update
[webadmin] System permissions tab don't update
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity high
: ---
: 3.2.0
Assigned To: Ravi Nori
Jiri Belka
infra
:
Depends On:
Blocks: 948448
  Show dependency treegraph
 
Reported: 2012-10-01 08:53 EDT by Ondra Machacek
Modified: 2016-02-10 14:05 EST (History)
9 users (show)

See Also:
Fixed In Version: sf13.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 12866 None None None Never

  None (edit)
Description Ondra Machacek 2012-10-01 08:53:18 EDT
Description of problem:
Tab System permissions don't update after reclick on it.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Add system permissions to user.(Configure->System Permissions->Add)
2. In main window of webadmin in users tab remove this user.
3. Go to Configure->System Permissions, you can still see removed user.
  
Actual results:
Possible to removed user under Configure->System Permissions.

Expected results:
Unable to see removed user under Configure->System Permissions.

Additional info:
Configure->System Permissions tab is updated after remove/add new system permissions to some user. No other way i didn't find. It should be updated after reclick on another tab, and click back to Configure->System Permissions tab.
Comment 1 Itamar Heim 2012-10-01 09:14:28 EDT
engine version?
Comment 2 Ondra Machacek 2012-10-01 09:21:07 EDT
Version 3.1.0-18.el6ev
si19.1
Comment 3 Einav Cohen 2012-10-17 06:28:51 EDT
indeed. similar things happen also in other scenarios, e.g.:

1. Add system permissions to user.(Configure->System Permissions->Add).
2. Quickly (before the "system permissions" list had a chance to get updated with the newly-added permission) - close the Configure dialog.
3. Go to Configure->System Permissions, you will not see the newly-added permission.
[4. if you will now add another system permission and wait until the list is refreshed, you will see both new permissions added to the list at once]

My hunch: When opening the Configure dialog -> System Permissions section, the list of items isn't being refreshed - the "cached" list from the last time that this dialog was open is being displayed.
Only when adding/removing permissions and waiting a few seconds, actually triggers the refresh action.
Need to make sure that system permissions list is being refreshed each time the system permission section within the Configure dialog becomes active, and not only upon absolute-first-section-activation + add or remove action.
Comment 6 Jiri Belka 2013-03-22 10:45:27 EDT
Not OK with SF11 (RHEL6.4 FF10.x, W7 64bit IE9), I could reproduce couple of times issue as described in comment #0. When the user is removed via User (main) tab, then in Configure -> System permissions the user still exists (Yes, I opened Configure->System permissions just after the task to remove the user was finished and the list in Users tab was refreshed and the user disappeared), removing him makes popup with:

  General command validation failure.

The 2nd scenario as described in comment #3 I was able to reproduces only once or twice, I'm probably not fast enough :)
Comment 8 Jiri Belka 2013-04-15 11:09:47 EDT
ok, sf13.1, both cases not reproduced.
Comment 9 Itamar Heim 2013-06-11 04:51:29 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 04:51:32 EDT
3.2 has been released
Comment 11 Itamar Heim 2013-06-11 04:51:37 EDT
3.2 has been released
Comment 12 Itamar Heim 2013-06-11 04:55:52 EDT
3.2 has been released
Comment 13 Itamar Heim 2013-06-11 05:25:56 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.